Toad World® Forums

Toad for SQL Beta 3.0.0.666 Cannot find SAP Client Version 1.00.80

I’ve just downloaded the Toad for SAP Beta 3.0.0.666 and receive and error that the SAP HANA client version of at least 1.00.80 is required. The only version I have installed of the SAP HANA client is 1.00.80, so not sure why the dll’s cannot be found. The HANA client installation dir is in correct in my PATH. Is there anything else that may be preventing Toad from seeing my SAP HANA client instalation?

Hello nancysmallwood,

Toad is looking in the registry to determine the client installed. The key it is looking at is: HKLM\SOFTWARE\ODBC\ODBCINST.INI\HDBODBC32 or the equivalent 32-bit key if you are on a 64-bit system, HKLM\SOFTWARE\Wow6432Node\ODBC\ODBCINST.INI\HDBODBC32

I believe we found a solution that will allow us to embed the driver so hopefully in the next beta drop you will not need to worry about the client that is installed.

Thanks.

Thank you Michael. I got a little bit further by updating the HKLM\SOFTWARE\Wow6432Node\ODBC\ODBCINST.INI\HDBODBC32 key to point to the 64-bit driver. Once I added the key and made the registry change, an exception was thrown in Toad indicating that Toad could not find the libSQLDBCHDB.dll. I looked up the error message on SAPs help site (help.sap.com/…/content.htm;current_toc=/en/f3/5ec71c485e493aa20d0bd0e3bff06a/plain.htm&node_id=28), which led me to download and install the 32-bit version of the SAP Hana client as well as my already installed 64-bit.

I installed the 32-bit SAP HANA client which updated both sets of keys, and I am now back to the original error that I need at least 1.00.80 installed.

Do you know when the next beta release is expected?

Thanks!

Nancy

Hello nancysmallwood,

I apologize for the trouble. The next beta should be out within the next couple of days.

No worrites. I am just excited to get started.

Hello nancysmallwood,

I just wanted to ask if you had the chance to try the beta?

Thanks.

Hi Nancy,

as Daniel describes in the previous post the beta 122 is our latest build (coming from our RTM build so the number had been reset).

I am interested in your comment about Schema Compare. Can you give me more details about what you are missing? If you could add a screenshot that would be great!

Thanks

Filip

I’d like to download the latest Toad for SAP beta release but cannot seem to find it in the beta program site. Is there a direct link?

I did find a link to download ToadforSAP_Beta_3.0.0.122, and I downloaded it since it had a very recent date. This cannot be your latest version since the schema compare tool is not available.

Thanks!

Nancy

From: Michael Garza [mailto:bounce-MichaelG@toadworld.com]

Sent: Friday, April 03, 2015 12:48 PM

To: toadsybasebeta@toadworld.com

Subject: RE: [Toad for Syabse - Beta Discussion Forum] Toad for SQL Beta 3.0.0.666 Cannot find SAP Client Version 1.00.80

RE: Toad for SQL Beta 3.0.0.666 Cannot find SAP Client Version 1.00.80

Reply by Michael Garza

Hello nancysmallwood,

I just wanted to ask if you had the chance to try the next beta?

Thanks.

To reply, please reply-all to this email.

Stop receiving emails on this subject.

Or
Unsubscribe from Toad for Sybase - Beta
notifications altogether.

Toad for Sybase - Beta Discussion Forum

Flag
this post as spam/abuse.

Hi Filip,

Schema compare is not available in the beta build 122. It is not an option in the menus.

Thanks,

Nancy

From: Filip Cevela [mailto:bounce-FilipCevela@toadworld.com]

Sent: Tuesday, July 14, 2015 3:51 AM

To: toadsybasebeta@toadworld.com

Subject: RE: [Toad for Syabse - Beta Discussion Forum] RE: [Toad for Syabse - Beta Discussion Forum] Toad for SQL Beta 3.0.0.666 Cannot find SAP Client Version 1.00.80

RE: RE: [Toad for Syabse - Beta Discussion Forum] Toad for SQL Beta 3.0.0.666 Cannot find SAP Client Version 1.00.80

Reply by Filip Cevela

Hi Nancy,

as Daniel describes in the previous post the beta 122 is our latest build (coming from our RTM build so the number had been reset).

I am interested in your comment about Schema Compare. Can you give me more details about what you are missing? If you could add a screenshot that would be great!

Thanks

Filip

To reply, please reply-all to this email.

Stop receiving emails on this subject.

Or
Unsubscribe from Toad for Sybase - Beta
notifications altogether.

Toad for Sybase - Beta Discussion Forum

Flag
this post as spam/abuse.

Hi Nancy,

we hide this option only for HANA because we don’t support it. If you connect to ASE or IQ provider you will see SC option back.

Filip

Hi Filip,

Thank you for the follow up. We are only interested in Toad for HANA. I am to understand that the schema compare feature for HANA may be available in 3.1. I look forward to seeing the 3.1 beta for Toad for HANA.

Thanks!

Nancy

From: Filip Cevela [mailto:bounce-FilipCevela@toadworld.com]

Sent: Wednesday, July 15, 2015 6:56 AM

To: toadsybasebeta@toadworld.com

Subject: RE: [Toad for Syabse - Beta Discussion Forum] Toad for SQL Beta 3.0.0.666 Cannot find SAP Client Version 1.00.80

RE: Toad for SQL Beta 3.0.0.666 Cannot find SAP Client Version 1.00.80

Reply by Filip Cevela

Hi Nancy,

we hide this option only for HANA because we don’t support it. If you connect to ASE or IQ provider you will see SC option back.

Filip

To reply, please reply-all to this email.

Stop receiving emails on this subject.

Or
Unsubscribe from Toad for Sybase - Beta
notifications altogether.

Toad for Sybase - Beta Discussion Forum

Flag
this post as spam/abuse.